let AllJumingCk = function () {
    return (
        $gameSwitches.value(SW_BtlGrbOFF) && $gameSwitches.value(SW_BtlUdeSutuOFF) &&
        $gameSwitches.value(SW_BtlInnerOFF) && $gameSwitches.value(SW_BtlBodySutuOFF) &&
        $gameSwitches.value(SW_BtlLegSutuOFF) && $gameSwitches.value(SW_BtlAmKosiOFF) &&
        $gameSwitches.value(SW_BtlAmLegOFF) && $gameSwitches.value(SW_BtlAmKataOFF) &&
        $gameSwitches.value(SW_BtlPltMuneOFF) && $gameSwitches.value(SW_BtlAmMuneOFF)
    );
}
let _尻揉み_UseCk = function () {
    if ($gameSwitches.value(SW_RobuON)) return false;
    return true;
}
let _胸揉み_UseCk = function () {
    if ($gameSwitches.value(SW_RobuON)) return false;
    if (AccessFlg) {
        if (!$gameSwitches.value(SW_BtlPltMuneOFF) || !$gameSwitches.value(SW_BtlAmMuneOFF)) {
            return false;
        }
    }
    return true;
}
let _股間責め_UseCk = function () {
    if ($gameSwitches.value(SW_RobuON)) return false;
    if (AccessFlg) {
        if (!$gameSwitches.value(SW_BtlAmKosiOFF)) return false;
    }
    return true;
}
const STN_ニップルスリップ = 21;
let _ニップルドーム_UseCk = function () {
    if ($gameSwitches.value(SW_RobuON)) return false;
    if (AccessFlg) {
        if (!$gameSwitches.value(SW_BtlPltMuneOFF) || !$gameSwitches.value(SW_BtlAmMuneOFF)) {
            return false; 
        }
    } else {
        if ($gameVariables.value(VN_TL2DKigae) != -1) return false; 
        if (!$gameSwitches.value(SW_BuraOFF)) return false; 
    }
    if ($gameActors.actor(1).isStateAffected(STN_ニップルスリップ)) return false;
    return true; 
}
let _バインド_UseCk = function () {
    if ($gameSwitches.value(SW_RobuON)) return false;   
    if (AccessFlg) return true;
    switch ($gameVariables.value(VN_TL2DKigae)) {
        case -1: 
            return true
        case 0: 
            return false;
        case 1: 
            return false;
        case 2: 
            return false;
    }
}
let Check裸RomashaBattle = function () {
    return !_ひん剥き_UseCk();
}
let _ひん剥き_UseCk = function () {
    if ($gameSwitches.value(SW_メニュー全裸選択)) {
        return false; 
    }
    if (AccessFlg) {
        if (AllJumingCk()) return false; 
    } else {
        if (!$gameSwitches.value(SW_RobuON)) {
            if ($gameSwitches.value(SW_MinzokuON)) {
                if (!$gameSwitches.value(SW_MinzokuTopON) || !$gameSwitches.value(SW_MinzokuBtmON)
                    || !$gameSwitches.value(SW_MinzokuFundosiON)) {
                    return true;
                }
            }
        }
        if (L2D_ParamGet(MdlRomashaBattle,"nakedparm") == -30 &&
            L2D_ParamGet(MdlRomashaBattle,"buraONOFF") == 30 &&
            L2D_ParamGet(MdlRomashaBattle,"pantsuONOFF") == 30) {
            return false; 
        }
    }
    return true; 
}
let _下着剥ぎ取り_UseCk = function () {
    if (AccessFlg) return false;
    if ($gameSwitches.value(SW_BuraOFF) && $gameSwitches.value(SW_PantuOFF)) return false;
    return true;
}
